const Setting = require('./src/setting.env')

module.exports = {
  lintOnSave: true,
  css: {
    loaderOptions: {
      sass: {
        prependData: `@import "@/styles/var.scss";`
      },
    }
  },
  publicPath: Setting.publicPath,
  outputDir: Setting.outputDir,
  assetsDir: Setting.assetsDir,
  devServer: {
    port: 8092
  },
	productionSourceMap: false,
}